> ## Documentation Index
> Fetch the complete documentation index at: https://developers.closebot.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get agency summary



## OpenAPI

````yaml https://megastream25-api.closebot.com/swagger/v1/swagger.json get /botMetric/agencySummary
openapi: 3.0.1
info:
  title: CloseBot API
  version: v1
servers:
  - url: https://api.closebot.com
    description: CloseBot API Endpoint
security:
  - Key: []
paths:
  /botMetric/agencySummary:
    get:
      tags:
        - BotMetric
      summary: Get agency summary
      parameters:
        - name: sourceId
          in: query
          description: Optional source ID.
          style: form
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/AgencyDashboardSummaryResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/AgencyDashboardSummaryResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/AgencyDashboardSummaryResponse'
components:
  schemas:
    AgencyDashboardSummaryResponse:
      type: object
      properties:
        currentMonthMessageCount:
          type: integer
          description: The number of messages sent to leads in the current month
          format: int32
        lastMonthMessageCount:
          type: integer
          description: The number of messages sent to leads in the last month
          format: int32
        totalStorage:
          type: number
          description: The total storage used by the agency
          format: double
        currentMonthSuccessfulBookings:
          type: integer
          description: The number of successful bookings in the current month
          format: int32
        lastMonthSuccessfulBookings:
          type: integer
          description: The number of successful bookings in the last month
          format: int32
        currentMonthActiveSources:
          type: integer
          description: The number of active sources in the current month
          format: int32
        lastMonthActiveSources:
          type: integer
          description: The number of active sources in the last month
          format: int32
        currentUsers:
          type: integer
          description: The number of users in the current month
          format: int32
        currentMonthContacts:
          type: integer
          description: The number of leads in the current month
          format: int32
        lastMonthContacts:
          type: integer
          description: The number of leads in the last month
          format: int32
        currentMonthRespondedContacts:
          type: integer
          description: Distinct leads who sent at least one inbound message this month
          format: int32
        currentMonthFollowUpsFromNoResponse:
          type: integer
          description: >-
            Current-month contacts with no response that have a follow-up
            scheduled
          format: int32
        currentMonthFollowUpsFromResponded:
          type: integer
          description: >-
            Current-month contacts that responded (no booking) with a follow-up
            scheduled
          format: int32
      additionalProperties: false
  securitySchemes:
    Key:
      type: apiKey
      description: CloseBot API Key Authorization
      name: X-CB-KEY
      in: header

````